Subject: Re: Running ./configure from `guix shell -D guix --pure` errors

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 26 Aug 2022 20:25:06 +0200

Am Freitag, dem 26.08.2022 um 11:32 -0600 schrieb Katherine Cox-Buday:
> It gives me this error: configure: error: C++ compiler 'g++' does not
> support the C++11 standard
> 
> I have to run `guix shell -D guix [email-masked] --pure` to get
> ./configure to work.
> 
> Since `guix shell -D` includes the development packages for Guix,
> maybe the package needs updating?
I'm pretty sure GCC 10 ought to support C++11.  There's probably some
other issue with your GCC, you might want to try `guix build --repair'.

Cheers